%define	tversion	4.0

Name:		x3270
Version:	4.0ga13
Release:	%mkrel 1
Summary:	An X Window System based IBM 3278/3279 terminal emulator
License:	BSD
Group:		Terminals
URL:		http://x3270.bgp.nu/
Source0:	http://prdownloads.sourceforge.net/%{name}/suite3270-%{version}-src.tgz
Patch0:		x3270-4.0-fdr-mga-ibmhostpath.patch
Patch1:		x3270-3.5-paths.patch
BuildRequires:	bdftopcf
BuildRequires:	dos2unix
BuildRequires:	imake
BuildRequires:	libtool
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(ncurses)

Requires(post):		mkfontdir
Requires(postun):	mkfontdir

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep
%setup -q -n suite3270-%{tversion}
%autopatch -p1

for d in c3270 pr3287 s3270 x3270; do
    for f in LICENSE README html; do
	mv $d/$f $f.$d
    done
done

%build
%configure \
		--enable-ssl=yes \
		--with-fontdir=%{_xfontdir}/misc \
		--x-libraries=%{_sysconfdir}/X11 \
		--enable-app-defaults \
		--enable-x3270 \
		--enable-c3270 \
		--enable-s3270 \
		--enable-pr3287

%make_build CCOPTIONS="%{optflags}"

### build playback tool ###
pushd Playback
%make_build CFLAGS="%{optflags}"
popd

%install
%make_install install.man

rm -f %{buildroot}%{_xfontdir}/misc/fonts.dir

install -p -m 755 Playback/playback %{buildroot}%{_bindir}
install -p -m 644 Playback/playback.man %{buildroot}%{_mandir}/man1/playback.1

# (sb) make rpmlint happier
chmod 0644 html.x3270/Keymap.html
dos2unix -f README.txt

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X3270
Comment=IBM 3270 Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;
EOF

%post
mkfontdir %{_xfontdir}/misc

%postun
mkfontdir %{_xfontdir}/misc

%files
%doc x3270/Examples html* LICENSE* README*
%{_bindir}/*
%{_xfontdir}/misc/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
#%%config(noreplace) %%{_sysconfdir}/X11/app-defaults/X3270


%changelog
* Mon Dec 28 2020 daviddavid <daviddavid> 4.0ga13-1.mga8
+ Revision: 1664359
- new version: 4.0ga13

* Mon Sep 28 2020 daviddavid <daviddavid> 4.0ga12-1.mga8
+ Revision: 1630936
- new version: 4.0ga12

* Wed Aug 19 2020 daviddavid <daviddavid> 4.0ga11-1.mga8
+ Revision: 1615613
- new version: 4.0ga11

* Wed Jul 29 2020 daviddavid <daviddavid> 4.0ga10-1.mga8
+ Revision: 1609487
- new version: 4.0ga10

* Thu Jun 25 2020 daviddavid <daviddavid> 4.0ga9-4.mga8
+ Revision: 1599184
- rebuild with current glibc

* Mon Jun 01 2020 wally <wally> 4.0ga9-3.mga8
+ Revision: 1589612
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Mon Jun 01 2020 tv <tv> 4.0ga9-2.mga8
+ Revision: 1589601
- fix build with rpm-4.16.0~beta1
+ daviddavid <daviddavid>
- new version: 4.0ga9

* Mon Apr 13 2020 daviddavid <daviddavid> 3.6ga12-1.mga8
+ Revision: 1567027
- new version: 3.6ga12

* Tue Mar 17 2020 daviddavid <daviddavid> 3.6ga11-1.mga8
+ Revision: 1557481
- new version: 3.6ga11

* Mon Feb 24 2020 daviddavid <daviddavid> 3.6ga10-1.mga8
+ Revision: 1549894
- new version: 3.6ga10

* Fri Feb 21 2020 daviddavid <daviddavid> 3.6ga9-1.mga8
+ Revision: 1548301
- new version: 3.6ga9

* Wed Feb 19 2020 umeabot <umeabot> 3.6ga8-3.mga8
+ Revision: 1542367
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.6ga8-2.mga8
+ Revision: 1476026
- rebuild for readline

* Sat Jun 29 2019 daviddavid <daviddavid> 3.6ga8-1.mga8
+ Revision: 1415884
- new version: 3.6ga8

* Tue Mar 26 2019 daviddavid <daviddavid> 3.6ga6-1.mga7
+ Revision: 1380334
- new version: 3.6ga6

* Sun Sep 23 2018 umeabot <umeabot> 3.6ga5-3.mga7
+ Revision: 1301791
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 3.6ga5-2.mga7
+ Revision: 1243057
- fix build on aarch64

* Tue Feb 13 2018 daviddavid <daviddavid> 3.6ga5-1.mga7
+ Revision: 1200813
- new version: 3.6ga5

* Tue Jan 02 2018 daviddavid <daviddavid> 3.6ga4-1.mga7
+ Revision: 1189788
- new version: 3.6ga4

* Wed Dec 06 2017 daviddavid <daviddavid> 3.5ga12-1.mga7
+ Revision: 1181532
- new version: 3.5ga12

* Fri Sep 01 2017 daviddavid <daviddavid> 3.5ga11-2.mga7
+ Revision: 1150427
- rebuild for new openssl 1.1.0f

* Wed Jul 19 2017 daviddavid <daviddavid> 3.5ga11-1.mga7
+ Revision: 1125056
- new version: 3.5ga11

* Sun Jan 29 2017 daviddavid <daviddavid> 3.5ga10-1.mga6
+ Revision: 1084136
- new version: 3.5ga10

* Tue Dec 27 2016 daviddavid <daviddavid> 3.5ga9-1.mga6
+ Revision: 1078230
- new version: 3.5ga9

* Tue May 17 2016 daviddavid <daviddavid> 3.5ga8-1.mga6
+ Revision: 1016377
- new version: 3.5ga8
- rename and rediff ibmhostpath patch

* Thu Mar 03 2016 umeabot <umeabot> 3.3.15ga9-3.mga6
+ Revision: 984773
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 3.3.15ga9-2.mga6
+ Revision: 959185
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 daviddavid <daviddavid> 3.3.15ga9-1.mga6
+ Revision: 838096
- new version: 3.3.15ga9

* Wed Oct 15 2014 umeabot <umeabot> 3.3.14ga11-3.mga5
+ Revision: 750812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.14ga11-2.mga5
+ Revision: 690536
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 daviddavid <daviddavid> 3.3.14ga11-1.mga5
+ Revision: 666895
- fix license (BSD instead of MIT)
- add and rediff patch from fedora to fix ibmhost path
- build all project available
- sync spec file with fedora
- add some BRs (readline, libtool, ncurses)
- update Url and Source link-url
- fix Exec path of desktop file
- update file list
- new version: 3.3.14ga11

* Sat Oct 19 2013 umeabot <umeabot> 3.3.12ga13-2.mga4
+ Revision: 530079
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 fwang <fwang> 3.3.12ga13-1.mga4
+ Revision: 454979
- new version 3.3.12ga13

* Mon Jan 14 2013 umeabot <umeabot> 3.3.9ga12-4.mga3
+ Revision: 386406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 3.3.9ga12-3.mga3
+ Revision: 333718
- fix dos2unix usage

* Tue Mar 08 2011 ennael <ennael> 3.3.9ga12-3.mga1
+ Revision: 66489
- clean spec file
- imported package x3270


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.9ga12-3mdv2011.0
+ Revision: 615488
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 3.3.9ga12-2mdv2010.1
+ Revision: 533618
- rebuild

* Wed Aug 12 2009 Funda Wang <fwang@mandriva.org> 3.3.9ga12-1mdv2010.0
+ Revision: 415322
- new version 3.3.9ga12

* Sat Mar 28 2009 Funda Wang <fwang@mandriva.org> 3.3.8p1-2mdv2009.1
+ Revision: 362017
- rebuild

* Thu Dec 04 2008 Adam Williamson <awilliamson@mandriva.org> 3.3.8p1-1mdv2009.1
+ Revision: 309851
- clean some unnecessary dependencies
- new release 3.3.8p1

* Sat Sep 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.3.6-7mdv2009.0
+ Revision: 286226
- fix deps

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Nov 26 2007 Funda Wang <fwang@mandriva.org> 3.3.6-3mdv2008.1
+ Revision: 112163
- rebuild for new icu

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libicu
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Jun 27 2007 Funda Wang <fwang@mandriva.org> 3.3.6-1mdv2008.0
+ Revision: 44958
- BuildRequires bitmaps
- fix file list
- New version

  + Jérôme Soyer <saispo@mandriva.org>
    - Import x3270



* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.4p6-4mdv2007.0
- adapt to new font path
- fix path for man page x3270.1x
- cosmetics

* Thu Jul 06 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-3mdv2007.0
- bug #22937 (fonts -> /usr/lib/X11/fonts/misc)
- would be nice if site.def defined a different ProjectRoot than /usr/X11R6
- tweak the rest of the paths for the new X layout
- rpmlint fixes, xdg menu

* Mon Jan 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-2mdk
- more BuildRequires

* Mon Jan 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4p6-1mdk
- 3.3.4p6, BuildRequires, rpmlint

* Fri Jan 27 2006 Stew Benedict <sbenedict@mandriva.com> 3.3.4-4mdk
- rebuild against icu34-devel
- Requires(pre/post)

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.4-3mdk
- rebuilt against openssl-0.9.8a

* Tue May 10 2005 Arnaud de Lorbeau <devel@mandriva.com> 3.3.4-2mdk
- 3.3.4

* Thu Jul 22 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 3.3.2p1-2mdk
- Rebuild with ssl

* Mon May  3 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.2p1-1mdk
- 3.3.2p1, patch to build with current icu

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.20-1mdk
- 3.2.20, BuildRequires, spec-work

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.19-2mdk
- rebuild for new glibc/rpm, rpmlint fixes

* Wed May 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-4mdk
- Fix menu entry (png icon)
- Add missing files

* Thu Aug 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-3mdk
- Move menu entry in right directory

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.17-2mdk
- BuildRequires: XFree86-devel

* Mon Jul 9 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.17-1mdk
- 3.2.17

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.15-2mdk
- 3.2.15 

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-2mdk
- Workaround for ??~#* RPM

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-1mdk
- 3.2.14

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.13-1mdk
- 3.2.13

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-3mdk
- Fix conflict with XFree

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-2mdk
- Allow to build
- Remove wmconfig support
- BM
- %%{update_menus} && %%{clean_menus}
- Spec clean up (aka remove crazy things)
- Fix menu entry (aka remove stupid hard coded PATH for icon and fix title)

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.1.1.9-1mdk
- Changed group to new groups
- updated to 3.1.1.9
- added HTML docs
- Added menu to spec file

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %%config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
